Bug 210826 - Review Request: genius - An arbitrary precision integer and multiple precision floatingpoint calculator
Review Request: genius - An arbitrary precision integer and multiple precisio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-15 17:02 EDT by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-19 11:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-10-15 17:02:02 EDT
Spec URL: http://math.ifi.unizh.ch/fedora/spec/genius.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/genius-0.7.6.1-1.src.rpm
Description:
Genius is a calculator program similar in some aspects to BC, Matlab
or Maple. GEL is the name of its extension language, in fact, a large
part of the standard genius functions are written in GEL itself.
Comment 1 Ed Hill 2006-10-15 18:24:39 EDT
Hi Gerard, I just tried:

  mock -r fedora-5-i386-core genius-0.7.6.1-1.src.rpm

and it failed with the message:

  checking for XML::Parser... configure: error: XML::Parser perl 
    module is required for intltool

so it looks like a missing BR.
Comment 2 Gérard Milmeister 2006-10-16 10:27:01 EDT
I forgot to run it through mock.
This one should work:
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/genius-0.7.6.1-2.src.rpm
Comment 3 Ed Hill 2006-10-18 00:14:03 EDT
OK, the -2 release now builds with mock!

needswork:
 - rpmlint reports:
     E: genius-debuginfo script-without-shebang 
       /usr/src/debug/genius-0.7.6.1/mpfr/mul.c
     W: genius-devel no-documentation
     W: gnome-genius no-documentation
   the warnings are harmless and can be ignored but the error can be 
   fixed by changing the file's permissions within the build dir.

good:
 + spec is legible
 + source matches upstream
 + license looks good and is correctly included
 + spec file looks sane and is legible
 + builds in mock on FC-5 i386
 + uses %find_lang macro correctly
 + dir ownership look OK
 + appears to have no shared libs
 + permissions look good (except for the one exception above)
 + has proper clean section and command
 + proper use of devel
 + code not content
 + no *.la files
 + scripts appear to be sane
 + proper use of desktop-file-install
 + consistent use of macros
 + installs and runs without seg-faulting on i386 FC-5

I don't see any blockers here so its APPROVED.

Please fix the permissions on that one file before submitting 
the first build.
Comment 4 Mamoru TASAKA 2006-10-18 00:22:59 EDT
Some notes from me:

Requires(post):   shared-mime-info, desktop-file-utils, scrollkeeper
Requires(postun): shared-mime-info, desktop-file-utils, scrollkeeper

All this requires should be for gnome-genius. Please fix this.
Comment 5 Rex Dieter 2006-10-18 08:10:00 EDT
FYI, See: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
that no new dependancies (like for shared-mime-info or desktop-file-utils) 
need be added, so likely all you really want/need is:
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper

Comment 6 Gérard Milmeister 2006-10-18 11:44:21 EDT
I fixed the permissions and the Requires, and imported into cvs.
Comment 7 Gérard Milmeister 2006-10-19 11:27:26 EDT
Built on FC5 and FC6.
Added entry to owners and comps files.

Thanks for the review.
Comment 8 Dominik 'Rathann' Mierzejewski 2006-11-18 17:29:41 EST
Good work! Please close it and remove from Extras/SIGs/SciTech proposals page.

Note You need to log in before you can comment on or make changes to this bug.